AbstractComponent (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.component

## Class AbstractComponent

- java.lang.Object
- - org.gcube.application.reporting.component.AbstractComponent

- All Implemented Interfaces:
    ReportComponent
  Direct Known Subclasses:
    Box, BoxesArea, Column, DBTableRow, Heading, HiddenField, Image, Instruction, Media, ReferenceReport, ReportSequence, RichTextInput, SequenceList, TableWrapper, TextInput, Title

      public abstract class AbstractComponent
      extends Object
      implements ReportComponent

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `COMP_HEIGHT, COMP_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractComponent()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property toAdd)`
    `protected List<org.gcube.portlets.d4sreporting.common.shared.Metadata>` | `convertProperties()`
    `abstract List<ReportComponent>` | `getChildren()`
    `String` | `getId()`
    `abstract org.gcube.portlets.d4sreporting.common.shared.BasicComponent` | `getModelComponent()`
    `List<Property>` | `getProperties()`
    `abstract String` | `getStringValue()`
    `abstract boolean` | `hasChildren()`
    `void` | `setId(String id)`
    `void` | `setProperties(List<Property> properties)`
    `void` | `setProperties(Property... properties)` Added for convenience's sake

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `getType`

- - ### Constructor Detail

    - #### AbstractComponent

          public AbstractComponent()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ReportComponent`

    - #### setId

          public void setId(String id)

      Specified by:
        `setId` in interface `ReportComponent`

    - #### getProperties

          public List<Property> getProperties()

      Specified by:
        `getProperties` in interface `ReportComponent`

    - #### setProperties

          public void setProperties(List<Property> properties)

      Specified by:
        `setProperties` in interface `ReportComponent`

    - #### setProperties

          public void setProperties(Property... properties)

      Added for convenience's sake
      Specified by:
        `setProperties` in interface `ReportComponent`
      Parameters:
        `properties` - a vararg set of properties

    - #### addProperty

          public void addProperty(Property toAdd)

    - #### convertProperties

          protected List<org.gcube.portlets.d4sreporting.common.shared.Metadata> convertProperties()

    - #### hasChildren

          public abstract boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ReportComponent`

    - #### getChildren

          public abstract List<ReportComponent> getChildren()

      Specified by:
        `getChildren` in interface `ReportComponent`

    - #### getStringValue

          public abstract String getStringValue()

      Specified by:
        `getStringValue` in interface `ReportComponent`

    - #### getModelComponent

          public abstract org.gcube.portlets.d4sreporting.common.shared.BasicComponent getModelComponent()

      Specified by:
        `getModelComponent` in interface `ReportComponent`

Copyright © 2017. All Rights Reserved.